> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/notes/list-notes.md).

# List notes

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/notes?clientId=:id`

This endpoint allows you to list all existing notes for a given client.\
\
The notes are returned sorted by creation date, with the most recent notes appearing first.

### Headers

<table><thead><tr><th width="291">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <strong><code>live</code></strong> or <strong><code>test</code></strong> key.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) and [notes filters](/documentation/api-reference/core-resources/notes/filtering-notes.md) for this endpoint.
{% endhint %}

### Query parameters

<table><thead><tr><th width="294">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>clientId</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the client.</td></tr><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/notes?clientId={:clientId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}
{% endtabs %}

### Example responses

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
            "id": "5eb1276f96be4a0008713af6",
            "clientId": "69e7531f8a80b2000237786a",
            "type": "internal",
            "note": "Sample note",
            "createdAt": "2025-01-04T17:24:29.146Z",
            "updatedAt": "2025-01-04T17:28:10.712Z"
        }
    ]
}
```

{% endtab %}

{% tab title="Invalid Request (400)" %}

```json
{
    "type": "invalid_request",
    "message": "The query parameter 'clientId' is required"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/notes/list-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
